Vector::BLF::WaterMarkEvent(3)

NAME
Vector::BLF::WaterMarkEvent - WATER_MARK_EVENT.

SYNOPSIS

#include <WaterMarkEvent.h>

Inherits Vector::BLF::ObjectHeader.

  Public Types
enum QueueState : uint32_t { StatusNormal = 0, StatusEmergency = 1, StatusLostData = 2 }
Public Types inherited from Vector::BLF::ObjectHeader
enum ObjectFlags : uint32_t { TimeTenMics = 0x00000001, TimeOneNans = 0x00000002 }

  Public Member Functions
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeader
ObjectHeader (const ObjectType objectType, const uint16_t objectVersion=0)
uint16_t calculateHeaderSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & operator= (const ObjectHeaderBase &)=default
ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & operator= (ObjectHeaderBase &&)=default

  Public Attributes
uint32_t queueState {}
uint32_t reservedWaterMarkEvent {}
Public Attributes inherited from Vector::BLF::ObjectHeader
uint32_t objectFlags {ObjectFlags::TimeOneNans}
object flags
uint16_t clientIndex {}
client index of send node
uint16_t objectVersion {0}
object specific version
uint64_t objectTimeStamp {}
object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t signature {ObjectSignature}
signature (ObjectSignature)
uint16_t headerSize {}
sizeof object header
uint16_t headerVersion {}
header version (1)
uint32_t objectSize {}
object size
ObjectType objectType {ObjectType::UNKNOWN}
object type

Detailed Description

WATER_MARK_EVENT.

Member Enumeration Documentation

  enum Vector::BLF::WaterMarkEvent::QueueState : uint32_t
enumeration for queueState

Member Function Documentation

  uint32_t Vector::BLF::WaterMarkEvent::calculateObjectSize () const [override], [virtual]
Calculates the objectSize

Returns
    object size

Reimplemented from Vector::BLF::ObjectHeader.

  void Vector::BLF::WaterMarkEvent::read (AbstractFile & is) [override], [virtual]
Read the data of this object

Parameters
    is input stream

Reimplemented from Vector::BLF::ObjectHeader.

  void Vector::BLF::WaterMarkEvent::write (AbstractFile & os) [override], [virtual]
Write the data of this object

Parameters
    os output stream

Reimplemented from Vector::BLF::ObjectHeader.

Member Data Documentation

  uint32_t Vector::BLF::WaterMarkEvent::queueState {}
the current state of the queue

  uint32_t Vector::BLF::WaterMarkEvent::reservedWaterMarkEvent {}
reserved

Author

Generated automatically by Doxygen for Vector BLF from the source code.